Bug 109835 - doxygen seg faults during processing of subversion documentation
doxygen seg faults during processing of subversion documentation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: doxygen (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-12 02:22 EST by Nathan G. Grennan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 07:51:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2003-11-12 02:22:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031016 Galeon/1.3.10

Description of problem:
doxygen crashes when run as doxygen doc/doxygen.conf, as part of the
compile of a subversion rpm. Below is the backtrace from gdb. The
workaround is to downgrade to the Red Hat 9 version.

http://summersoft.fay.ar.us/pub/subversion/src/subversion-latest/redhat-9.0/

Program received signal SIGSEGV, Segmentation fault.
0x081accc6 in getResolvedClass(Definition*, FileDef*, char const*,
MemberDef**, QCString*) (
    scope=0x9246358, fileScope=0x91482f0, n=0x91482f0 "_out�\f",
pTypeDef=0x91482f0,
    pTemplSpec=0x91482f0) at util.cpp:965
965       if (result && !result->isLinkable()) result=0; // don't link
to artifical classes
(gdb) back
#0  0x081accc6 in getResolvedClass(Definition*, FileDef*, char const*,
MemberDef**, QCString*)
    (scope=0x9246358, fileScope=0x91482f0, n=0x91482f0 "_out�\f",
pTypeDef=0x91482f0,
    pTemplSpec=0x91482f0) at util.cpp:965
#1  0x081adc0d in linkifyText(TextGeneratorIntf const&, Definition*,
FileDef*, char const*, char const*, bool, bool) (out=@0xbff019a0,
scope=0x907fcc0, fileScope=0x907fcc0,
    text=0x91482f0 "_out�\f", autoBreak=false, external=true) at
qcstring.h:311
#2  0x08156a34 in MemberDef::writeDeclaration(OutputList&, ClassDef*,
NamespaceDef*, FileDef*, GroupDef*, bool) (this=0x9490d18,
ol=@0x907f940, cd=0x0, nd=0x0, fd=0x907fcc0, gd=0x0,
    inGroup=false) at definition.h:101
#3  0x08160f4d in MemberList::writePlainDeclarations(OutputList&,
ClassDef*, NamespaceDef*, FileDef*, GroupDef*) (this=0x907fe34,
ol=@0x907f940, cd=0x0, nd=0x0, fd=0x907fcc0, gd=0x0)
    at memberlist.cpp:271
#4  0x0816172e in MemberList::writeDeclarations(OutputList&,
ClassDef*, NamespaceDef*, FileDef*, GroupDef*, char const*, char
const*) (this=0x907fe34, ol=@0x907f940, cd=0x0, nd=0x0,
    fd=0x907fcc0, gd=0x0, title=0xbff01bd0 "X�5\b8?C\t�\e�\235�\n\b
\034� )\bo\001",
    subtitle=0x0) at memberlist.cpp:330
#5  0x08079e55 in FileDef::writeDocumentation(OutputList&)
(this=0x907fcc0, ol=@0x907f940)
    at qcstring.h:287
#6  0x08060df4 in generateFileDocs () at doxygen.cpp:5682
#7  0x0806de0f in generateOutput() () at doxygen.cpp:8244
#8  0x08049b9a in main (argc=152339184, argv=0x91482f0) at main.cpp:37


Version-Release number of selected component (if applicable):
doxygen-1.3.4-1

How reproducible:
Always

Steps to Reproduce:
1. doxygen doc/doxygen.conf
2.
3.
    

Actual Results:  Segmentation fault

Expected Results:  No Segmentation fault

Additional info:
Comment 1 Nathan G. Grennan 2003-11-12 02:27:13 EST
To clarify, when I say downgrade to the Red Hat 9 version I am
speaking of the version of doxygen, 1.2.18-3. The url for subversion
is a link to  where you can download the subversion source rpm I am
trying to compile. Warning, if you try to do the compile, disable the
tests. It is simple to do in the spec file. Otherwise the tests take
Forever.
Comment 2 Ngo Than 2003-12-17 07:51:19 EST
it's fixed in doxygen-1.3.5, which will be available in rawhide soon
Comment 3 John Flanagan 2004-05-12 00:47:23 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-095.html

Note You need to log in before you can comment on or make changes to this bug.